## pbuilder 0.213

=== Makefile ===
INSTALL = install
INSTALL_DIRECTORY = $(INSTALL) -d -m 0755
INSTALL_FILE = $(INSTALL) -m 0644
INSTALL_EXECUTABLE = $(INSTALL) -m 0755

# semi-standard dirs
DESTDIR :=
SYSCONFDIR := $(DESTDIR)/etc
BINDIR := $(DESTDIR)/usr/bin
PKGLIBDIR := $(DESTDIR)/usr/lib/pbuilder
SBINDIR := $(DESTDIR)/usr/sbin
PKGDATADIR := $(DESTDIR)/usr/share/pbuilder

define newline


endef

NULL :=

ALLDIRS += BASHCOMPLETION
BASHCOMPLETIONDIR := $(SYSCONFDIR)/bash_completion.d
BASHCOMPLETION_DATA += \
	bash_completion.d/pbuilder \
	$(NULL)
CHECK_SCRIPTS += bash_completion.d/pbuilder

ALLDIRS += PBUILDERCONF
PBUILDERCONFDIR := $(SYSCONFDIR)/pbuilder
PBUILDERCONF_DATA += \
	pbuilder-uml.conf \
	$(NULL)
CHECK_SCRIPTS += pbuilder-uml.conf

ALLDIRS += BIN
BIN_SCRIPTS += \
	debuild-pbuilder \
	pbuilder-user-mode-linux \
	pdebuild \
	pdebuild-user-mode-linux \
	$(NULL)

ALLDIRS += PKGLIB
PKGLIB_SCRIPTS += \
	pbuilder-apt-config \
	pbuilder-buildpackage \
	pbuilder-buildpackage-funcs \
	pbuilder-checkparams \
	pbuilder-createbuildenv \
	pbuilder-loadconfig \
	pbuilder-modules \
	pbuilder-runhooks \
	pbuilder-satisfydepends-aptitude \
	pbuilder-satisfydepends-checkparams \
	pbuilder-satisfydepends-classic \
	pbuilder-satisfydepends-experimental \
	pbuilder-satisfydepends-funcs \
	pbuilder-satisfydepends-gdebi \
	pbuilder-selftest \
	pbuilder-uml-checkparams \
	pbuilder-updatebuildenv \
	pdebuild-checkparams \
	pdebuild-internal \
	pdebuild-uml-checkparams \
	testlib.sh \
	test_pbuilder-apt-config \
	test_pbuilder-checkparams \
	test_pbuilder-modules \
	test_pbuilder-satisfydepends-checkparams \
	test_pbuilder-satisfydepends-classic \
	test_pbuilder-satisfydepends-funcs \
	test_testlib.sh \
	$(NULL)

ALLDIRS += SBIN
SBIN_SCRIPTS += \
	pbuilder \
	$(NULL)

ALLDIRS += EXAMPLE
EXAMPLEDIR := $(DESTDIR)/usr/share/doc/pbuilder/examples
EXAMPLE_DATA += \
	pbuilderrc \
	$(NULL)
CHECK_SCRIPTS += pbuilderrc
EXAMPLE_SCRIPTS += \
	examples/B90lintian \
	examples/B91dpkg-i \
	examples/B92test-pkg \
	examples/C10shell \
	examples/C11screen \
	examples/D10tmp \
	examples/D20addnonfree \
	examples/D80no-man-db-rebuild \
	examples/D90chrootmemo \
	examples/F90chrootmemo \
	examples/B90list-missing \
	examples/B91debc \
	examples/execute_installtest.sh \
	examples/execute_paramtest.sh \
	examples/pbuilder-distribution.sh \
	$(NULL)

ALLDIRS += EXAMPLE_LVMPBUILDER
EXAMPLE_LVMPBUILDERDIR := $(EXAMPLEDIR)/lvmpbuilder
EXAMPLE_LVMPBUILDER_DATA += \
	examples/lvmpbuilder/README \
	examples/lvmpbuilder/STRATEGY \
	$(NULL)
EXAMPLE_LVMPBUILDER_SCRIPTS += \
	examples/lvmpbuilder/lvmbuilder \
	$(NULL)

ALLDIRS += EXAMPLE_LVMPBUILDER_LIB
EXAMPLE_LVMPBUILDER_LIBDIR := $(EXAMPLE_LVMPBUILDERDIR)/lib
EXAMPLE_LVMPBUILDER_LIB_SCRIPTS += \
	examples/lvmpbuilder/lib/lvmbuilder-checkparams \
	examples/lvmpbuilder/lib/lvmbuilder-modules \
	examples/lvmpbuilder/lib/lvmbuilder-unimplemented \
	$(NULL)

ALLDIRS += EXAMPLE_PBUILDERTEST
EXAMPLE_PBUILDERTESTDIR := $(EXAMPLEDIR)/pbuilder-test
EXAMPLE_PBUILDERTEST_DATA += \
	examples/pbuilder-test/README \
	examples/pbuilder-test/002_sample.c \
	$(NULL)
EXAMPLE_PBUILDERTEST_SCRIPTS += \
	examples/pbuilder-test/000_prepinstall \
	examples/pbuilder-test/001_apprun \
	examples/pbuilder-test/002_libfile \
	examples/pbuilder-test/003_makecheck \
	examples/pbuilder-test/004_ldd \
	$(NULL)

ALLDIRS += EXAMPLE_REBUILD
EXAMPLE_REBUILDDIR := $(EXAMPLEDIR)/rebuild
EXAMPLE_REBUILD_DATA += \
	examples/rebuild/README \
	$(NULL)
EXAMPLE_REBUILD_SCRIPTS += \
	examples/rebuild/buildall \
	examples/rebuild/getlist \
	$(NULL)

ALLDIRS += EXAMPLE_WORKAROUND
EXAMPLE_WORKAROUNDDIR := $(EXAMPLEDIR)/workaround
EXAMPLE_WORKAROUND_SCRIPTS += \
	$(NULL)

ALLDIRS += PKGDATA
PKGDATA_DATA += \
	pbuilderrc \
	pbuilder-uml.conf \
	$(NULL)
CHECK_SCRIPTS += \
	pbuilderrc \
	pbuilder-uml.conf \
	$(NULL)

NOINST_MANPAGES += \
	debuild-pbuilder.1 \
	pbuilder.8 \
	pbuilderrc.5 \
	pdebuild.1 \
	$(NULL)
CHECK_MANPAGES += $(NOINST_MANPAGES)

# TODO: check subdirs etc.

CHECK_SCRIPTS += $(foreach d,$(ALLDIRS),$($(d)_SCRIPTS))

all:
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

check: export PBUILDER_CHECKOUT := $(CURDIR)
check:
	# syntax check.
	$(foreach script,$(CHECK_SCRIPTS),bash -n $(script)$(newline))
	$(foreach mp,$(CHECK_MANPAGES),LANG=C MANWIDTH=80 man --warnings -l $(mp) >/dev/null$(newline))
	# unit tests.
	$(foreach test,$(wildcard ./test_*),$(test)$(newline))

full-check:
	# system tests that might take long.
	cd testsuite && ./run-test.sh

clean:
	rm -f *.bak *~ TAGS
	rm -f testsuite/testimage
	rm -rf testsuite/testbuild testsuite/testbuild2
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

TAGS:
	etags pbuilder-* pbuilder

define install_dir_impl
$(INSTALL_DIRECTORY) $($(1)DIR)$(newline)
$(foreach file,$($(1)_DATA),$(INSTALL_FILE) $(file) $($(1)DIR)$(newline))
$(foreach script,$($(1)_SCRIPTS),$(INSTALL_EXECUTABLE) $(script) $($(1)DIR)$(newline))
endef

install:
	$(foreach d,$(ALLDIRS),$(call install_dir_impl,$(d)))
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-mnt
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-umlresult
	# install -aptitude flavour as the default satisfydepends
	ln -sf pbuilder-satisfydepends-aptitude $(PKGLIBDIR)/pbuilder-satisfydepends
	$(MAKE) -C pbuildd $@
	$(MAKE) -C Documentation $@

=== Documentation/Makefile ===
# makefile for documentation for pbuilder.

#required packages:
# docbook-xsl
# ldp-docbook-xsl
# xsltproc
# po4a
# dblatex

# the main XML file which is source to all documents
MASTERXML=pbuilder-doc.xml
HTMLDOCS= pbuilder-doc.html pbuilder-doc.ja.html pbuilder-doc.fr.html pbuilder-doc.de.html

all: $(HTMLDOCS)

%.html: %.xml pbuilder-doc.xsl
	xsltproc pbuilder-doc.xsl $< > $@.tmp
	mv $@.tmp $@

pbuilder-doc.%.xml: pbuilder-doc.%.po
	po4a-translate -f docbook -m $(MASTERXML) -p $< -l $@ -k 1

pbuilder-doc.%.po: $(MASTERXML)
	po4a-updatepo -f docbook -m $< -p $@ 

%.pdf: %.xml
	# requires dblatex package.
	dblatex $<

install: $(HTMLDOCS) pbuilder-doc.pdf
	install -d -m 755 -o root -g root $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root $(HTMLDOCS) $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root pbuilder-doc.pdf $(DESTDIR)/usr/share/doc/pbuilder/

preview: pbuilder-doc.html
	mozilla-firefox -remote "openfile($(PWD)/$<)"

release: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	scp $^ cvs.alioth.debian.org:/org/alioth.debian.org/chroot/home/groups/pbuilder/htdocs/ 
	$(MAKE) release-netfort

# for my homepage-publishing.
release-netfort: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	cp $^ ~/public_html/netfort/software/pbuilder-doc/

clean: 
	rm -f pbuilder-doc.pdf pbuilder-doc.glo pbuilder-doc.idx pbuilder-doc.log pbuilder-doc.out \
		pbuilder-doc.aux pbuilder-doc.html.tmp

.PHONY: preview release-netfort release clean

=== debian/changelog ===
pbuilder (0.213) unstable; urgency=low

  [ Beatrice Torracca ]
  * Bug#686004: [INTL: it] Italian translation of debconf messages - pbuilder

  [ David Martínez Moreno ]
  * Bug#686410: pbuilder: [INTL:es] Spanish translation update of debconfmessages - pbuilder.

  [ Junichi Uekawa ]
  * remove /etc/pbuilder/pbuilderrc -> etc/pbuilderrc. (closes: 689213)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 08 Oct 2012 08:30:04 +0900

pbuilder (0.212) unstable; urgency=low

  * update copyright file to be more machine-process-able, and move
    homepage information to debian/control
  * set ccachedir to default to off. It's a minor optimization that a
    developer may choose to enable at the cost of incompatibility and some
    bugs. (closes: #675691, #675843, #670651)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 24 Aug 2012 04:50:15 +0900

pbuilder (0.211) unstable; urgency=low

  [ Junichi Uekawa ]
  * policy update: 3.9.1
  * For testsuite, do not depend on approx instance. It's not always
    reliable and confusing. Just trust autoconfiguration result here.
  * B90lintian requires bashism (closes: #604546)

  [ Sjoerd Simons ]
  * Recognize armhf as an architecture on ubuntu-ports
  * When testing mirror selection, force an architecture that we know is on that mirror
  (closes: #671007)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 30 May 2012 19:01:25 +0900

=== debian/control ===
Source: pbuilder
Section: devel
Priority: extra
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Uploaders: Junichi Uekawa <dancer@debian.org>,
           Loïc Minier <lool@dooz.org>,
           Matt Kraai <kraai@debian.org>
Build-Depends: debhelper (>= 7),
               docbook-xsl,
               ldp-docbook-xsl (>= 0.0.20040321-0.1),
               xsltproc,
               dpkg-dev (>= 1.13.19),
               dblatex,
               debconf|debconf-2.0,
               po-debconf,
               po4a
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git

Package: pbuilder
Architecture: all
Depends: coreutils (>= 4.5.8-1),
         debootstrap | cdebootstrap,
         dpkg-dev,
         debianutils (>= 1.13.1),
         wget,
         ${misc:Depends}
Recommends: fakeroot,
            sudo,
            devscripts
Suggests: pbuilder-uml,
          gdebi-core,
          cowdancer
Homepage: http://pbuilder.alioth.debian.org
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot. 
 It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image. 
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

Package: pbuilder-uml
Architecture: i386 amd64
Depends: rootstrap (>= 0.3.9-1),
         user-mode-linux,
         pbuilder (= ${source:Version}),
         ${misc:Depends}
Description: user-mode-linux version of pbuilder
 pbuilder-uml uses a User-mode-linux system, and builds Debian packages
 inside the UML image. It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 Requires user-mode-linux to function correctly
 .
 "pbuilder-user-mode-linux create" uses rootstrap to create UML image
 .
 "pbuilder-user-mode-linux update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder-user-mode-linux build" takes a *.dsc file and builds a binary
 in the UML

## pbuilder 0.213ubuntu1

=== debian/changelog ===
pbuilder (0.213ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1075347, LP: #1060101)
    Remaining changes:
    - pbuilderrc, debian/pbuilder.config: Set default archive mirror to 
      "archive.ubuntu.com/ubuntu".
    - pbuilderrc: Set default keyring to the Ubuntu one.
    - pbuilderrc: change how we pass keyring in DEBOOTSTRAPOPTS
    - debian/rules: install temporary locale so man page tests don't cause
      FTBFS. 
  * pbuilderrc: Set default distribution to "quantal"

 -- Maarten Bezemer <maarten.bezemer@gmail.com>  Mon, 05 Nov 2012 23:27:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>,
            Loïc Minier <lool@dooz.org>,
            Matt Kraai <kraai@debian.org>
@@ -15,8 +16,8 @@
                po-debconf,
                po4a
 Standards-Version: 3.9.1
-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
+XS-Debian-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
 
 Package: pbuilder
 Architecture: all

## pbuilder 0.215ubuntu2

=== debian/changelog ===
pbuilder (0.215ubuntu2) saucy; urgency=low

  * Fix typo in pbuilderrc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Aug 2013 10:57:52 +0100

pbuilder (0.215ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - pbuilderrc, debian/pbuilder.config: Set default archive mirror to 
      "archive.ubuntu.com/ubuntu".
    - pbuilderrc: Set default keyring to the Ubuntu one.
    - pbuilderrc: change how we pass keyring in DEBOOTSTRAPOPTS
    - debian/rules: install temporary locale so man page tests don't cause
      FTBFS. 
    - Added basic DEP-8 autopkgtest
    - debian/control: Recommend aptitude since it's needed by pbuilder-satisfydepends
  * pbuilderrc: Set default distribution to "saucy"

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 16 Aug 2013 08:14:54 +1000

pbuilder (0.215) unstable; urgency=low

  * Do not try to use /dev/shm if /run/shm is not present. (closes: #702811, #702102)
  * Add clang support hook script from Hideki Yamane. (closes: #700290)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 30 Mar 2013 11:06:05 +0900

pbuilder (0.214) unstable; urgency=low

  [ Junichi Uekawa ]
  * update documentation about CCACHEDIR (closes: #694311)
  * update the release target to work with wagner, and release.

  [ Agustin Henze ]
  * Added support for shared memory mounting point (closes: #700591)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 02 Mar 2013 16:47:04 +0900

pbuilder (0.213ubuntu3) saucy; urgency=low

  * Recommend aptitude since it's needed by pbuilder-satisfydepends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Jun 2013 15:58:28 +0100

pbuilder (0.213ubuntu2) saucy; urgency=low

  * Added basic DEP-8 autopkgtest.

 -- James Hunt <james.hunt@ubuntu.com>  Mon, 27 May 2013 10:14:45 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Standards-Version: 3.9.1
 XS-Debian-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
 XS-Debian-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
+XS-Testsuite: autopkgtest
 
 Package: pbuilder
 Architecture: all
@@ -29,7 +30,8 @@
          ${misc:Depends}
 Recommends: fakeroot,
             sudo,
-            devscripts
+            devscripts,
+            aptitude
 Suggests: pbuilder-uml,
           gdebi-core,
           cowdancer

=== debian/tests/control ===
Tests: build_procenv
Depends: @, debian-keyring, distro-info, lsb-release
Restrictions: needs-root

## pbuilder 0.215ubuntu7

=== Makefile ===
--- 
+++ 
@@ -91,6 +91,7 @@
 	examples/C11screen \
 	examples/D10tmp \
 	examples/D20addnonfree \
+	examples/D65various-compiler-support \
 	examples/D80no-man-db-rebuild \
 	examples/D90chrootmemo \
 	examples/F90chrootmemo \

=== Documentation/Makefile ===
--- 
+++ 
@@ -36,12 +36,7 @@
 	mozilla-firefox -remote "openfile($(PWD)/$<)"
 
 release: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
-	scp $^ cvs.alioth.debian.org:/org/alioth.debian.org/chroot/home/groups/pbuilder/htdocs/ 
-	$(MAKE) release-netfort
-
-# for my homepage-publishing.
-release-netfort: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
-	cp $^ ~/public_html/netfort/software/pbuilder-doc/
+	scp $^ wagner.debian.org:/home/groups/pbuilder/htdocs/ 
 
 clean: 
 	rm -f pbuilder-doc.pdf pbuilder-doc.glo pbuilder-doc.idx pbuilder-doc.log pbuilder-doc.out \

=== Documentation/debconf7/Makefile ===
SOURCE:=$(wildcard pb*.tex)
DVIFILES:=$(SOURCE:%.tex=%.dvi)
PDFFILES:=$(SOURCE:%.tex=%.pdf)

all: $(PDFFILES)

%.pdf: %.dvi
	dvipdfmx $< 

%.dvi: %.tex
	latex $<
	latex $<
	latex $<

clean:
	-rm *~ *.log *.aux *.snm *.toc *.out *.nav *.dvi

=== debian/changelog ===
pbuilder (0.215ubuntu7) trusty; urgency=medium

  * debian/tests/control: build-depend on libcap-dev since procenv 0.33 now
    uses that.

 -- James Hunt <james.hunt@ubuntu.com>  Tue, 18 Mar 2014 13:57:11 +0100

pbuilder (0.215ubuntu6) trusty; urgency=medium

  * debian/tests/build_procenv: Use first remote url from sources.list
    rather than hard-coding the set of architectures that use particular
    ubuntu archives (since the latter strategy does not require
    maintenance).
  * debian/tests/control:
    - Depend on haveged for entropy.
    - Add architecture-specific depends on libnuma1 for the test package that
      is built (procenv).

 -- James Hunt <james.hunt@ubuntu.com>  Wed, 05 Mar 2014 14:40:22 +0100

pbuilder (0.215ubuntu5) trusty; urgency=medium

  * Add build-dependency on locales, which was always used but appears to
    have previously been preinstalled in the build chroots.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 05 Mar 2014 03:54:08 +0000

pbuilder (0.215ubuntu4) trusty; urgency=medium

  * debian/tests/build_procenv: on Ubuntu, select the correct archive mirror
    for the build architecture.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Mar 2014 17:07:16 -0800

pbuilder (0.215ubuntu3) trusty; urgency=low

  * debian/tests/build_procenv: Add component universe for Ubuntu to make
    procenv buildable (LP: #1247420)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Sun, 03 Nov 2013 18:46:58 +0100

=== testsuite/regression/work/526471/failpkg-0.1/debian/changelog ===
failpkg (0.1) unstable; urgency=low

  * a package that fails

 -- Junichi Uekawa <dancer@debian.org>  Sun, 27 May 2007 14:27:53 +0900

=== debian/control ===
Source: bde
Section: unknown
Priority: extra
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>= 5), gcc (>= 4:4.3)
Standards-Version: 3.7.2

Package: bde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== testsuite/regression/work/526471/failpkg-0.1/debian/control ===
Source: failpkg
Section: unknown
Priority: extra
Maintainer: Junichi Uekawa <dancer@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: failpkg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

## pbuilder 0.215ubuntu7.1

=== debian/changelog ===
pbuilder (0.215ubuntu7.1) trusty; urgency=medium

  * pbuilderrc: Set default distribution to "trusty" (lp: #1316423)

 -- B. Clausius <barcc@gmx.de>  Sun, 25 May 2014 09:14:44 +0200

=== debian/control ===
Source: pbuilder
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Uploaders: Junichi Uekawa <dancer@debian.org>,
           Loïc Minier <lool@dooz.org>,
           Matt Kraai <kraai@debian.org>
Build-Depends: debhelper (>= 7),
               docbook-xsl,
               ldp-docbook-xsl (>= 0.0.20040321-0.1),
               xsltproc,
               dpkg-dev (>= 1.13.19),
               dblatex,
               debconf|debconf-2.0,
               po-debconf,
               po4a,
               locales
Standards-Version: 3.9.1
XS-Debian-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
XS-Testsuite: autopkgtest

Package: pbuilder
Architecture: all
Depends: coreutils (>= 4.5.8-1),
         debootstrap | cdebootstrap,
         dpkg-dev,
         debianutils (>= 1.13.1),
         wget,
         ${misc:Depends}
Recommends: fakeroot,
            sudo,
            devscripts,
            aptitude
Suggests: pbuilder-uml,
          gdebi-core,
          cowdancer
Homepage: http://pbuilder.alioth.debian.org
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot. 
 It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image. 
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

Package: pbuilder-uml
Architecture: i386 amd64
Depends: rootstrap (>= 0.3.9-1),
         user-mode-linux,
         pbuilder (= ${source:Version}),
         ${misc:Depends}
Description: user-mode-linux version of pbuilder
 pbuilder-uml uses a User-mode-linux system, and builds Debian packages
 inside the UML image. It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 Requires user-mode-linux to function correctly
 .
 "pbuilder-user-mode-linux create" uses rootstrap to create UML image
 .
 "pbuilder-user-mode-linux update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder-user-mode-linux build" takes a *.dsc file and builds a binary
 in the UML

=== debian/rules ===
#!/usr/bin/make -f

LOCALE_PATH	:= debian/tmplocale
LOCALE_NAME	:= en_US
LOCALE_CHARSET	:= UTF-8

build: build-stamp
build-stamp:
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf $(LOCALE_PATH)
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(LOCALE_PATH)
	localedef -i $(LOCALE_NAME) -c -f $(LOCALE_CHARSET) \
                  -A /usr/share/locale/locale.alias --quiet \
                  $(LOCALE_PATH)/$(LOCALE_NAME).$(LOCALE_CHARSET)
	LOCPATH=$(LOCALE_PATH) LC_ALL=$(LOCALE_NAME).$(LOCALE_CHARSET) $(MAKE) check
endif
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pbuilder
	dh_movefiles -ppbuilder-uml --sourcedir=debian/pbuilder

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installman pbuilder.8 pbuilderrc.5 pdebuild.1 debuild-pbuilder.1 
	dh_installchangelogs -i
	dh_installdebconf
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -s
	dh_testroot -s
	dh_installdocs -s
	dh_installman -ppbuilder-uml pbuilder-user-mode-linux.1 pbuilder-uml.conf.5 pdebuild-user-mode-linux.1
	dh_installchangelogs -s
	dh_link -s
	dh_compress -s -X.pdf
	dh_fixperms -s
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== testsuite/regression/satisfydepends/debian/rules ===
#!/usr/bin/make -f

build:
	touch debian/files

clean:
	rm -f debian/files

install:

binary-indep: build install

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== testsuite/regression/work/526471/failpkg-0.1/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/failpkg.sgml > failpkg.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/failpkg.
	$(MAKE) DESTDIR=$(CURDIR)/debian/failpkg install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/tests/control ===
Tests: build_procenv
Depends: @, debian-keyring, distro-info, lsb-release, haveged, libnuma1 [linux-i386 linux-amd64 linux-ia64 linux-mips linux-mipsel linux-powerpc linux-ppc64 linux-ppc64el linux-x32], libcap-dev [linux-any]
Restrictions: needs-root

## pbuilder 0.215ubuntu7.1+7.0trisquel1

=== debian/changelog ===
pbuilder (0.215ubuntu7.1+7.0trisquel1) belenos; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Jan 2017 21:02:48 +0000

## pbuilder 0.215ubuntu10

=== debian/changelog ===
pbuilder (0.215ubuntu10) utopic; urgency=medium

  * Remove --keyring override from default pbuilderrc (LP: #599695)

 -- Phillip Susi <psusi@ubuntu.com>  Wed, 11 Jun 2014 13:37:37 -0400

pbuilder (0.215ubuntu9) utopic; urgency=medium

  * pbuilderrc: Set default distribution to "utopic" (lp: #1316423)

 -- B. Clausius <barcc@gmx.de>  Sun, 25 May 2014 09:14:44 +0200

pbuilder (0.215ubuntu8) utopic; urgency=medium

  * debian/tests/control: Updated Depends to allow more capable procenv to be
    built. 

 -- James Hunt <james.hunt@ubuntu.com>  Wed, 04 Jun 2014 11:27:10 +0200

## pbuilder 0.215ubuntu11

=== debian/changelog ===
pbuilder (0.215ubuntu11) vivid; urgency=medium

  * pbuilderrc: Set default distribution to "vivid"

 -- Hans Joachim Desserud <ubuntu@desserud.org>  Sat, 28 Feb 2015 16:40:27 +0100

## pbuilder 0.215+nmu3

=== Makefile ===
--- 
+++ 
@@ -58,6 +58,7 @@
 	pbuilder-satisfydepends-gdebi \
 	pbuilder-selftest \
 	pbuilder-uml-checkparams \
+	pbuilder-unshare-wrapper \
 	pbuilder-updatebuildenv \
 	pdebuild-checkparams \
 	pdebuild-internal \

=== debian/changelog ===
pbuilder (0.215+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Enable the loopback device even when USE_NETWORK=no (Closes: #753944)
    Patch based on one provided by Niko Tyni; thanks! This also allows
    getting rid of the “env” hack and disabling network for pre-squeeze
    chroot by setting the new namespace up before chrooting.

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 11 Jul 2014 19:56:53 +0200

pbuilder (0.215+nmu2) unstable; urgency=low

  * Fix missing space, thanks gregoa for spotting (Closes: #753690)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 04 Jul 2014 13:20:42 +0200

pbuilder (0.215+nmu1) unstable; urgency=low

  [ Ivo De Decker ]
  * Only set CCACHE_DIR when running as build user. (closes: #666525)

  [ Thorsten Glaser ]
  * Non-maintainer upload.
  * Disable network access during build by default on Linux (Closes: #748967)
  * Replace use of su as requested by Helmut Grohne (Closes: #747946)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 22 May 2014 20:37:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>,
            Loïc Minier <lool@dooz.org>,
            Matt Kraai <kraai@debian.org>
@@ -14,12 +13,10 @@
                dblatex,
                debconf|debconf-2.0,
                po-debconf,
-               po4a,
-               locales
+               po4a
 Standards-Version: 3.9.1
-XS-Debian-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
-XS-Testsuite: autopkgtest
+Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
+Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
 
 Package: pbuilder
 Architecture: all
@@ -30,9 +27,9 @@
          wget,
          ${misc:Depends}
 Recommends: fakeroot,
+            net-tools | iproute2,
             sudo,
-            devscripts,
-            aptitude
+            devscripts
 Suggests: pbuilder-uml,
           gdebi-core,
           cowdancer

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-LOCALE_PATH	:= debian/tmplocale
-LOCALE_NAME	:= en_US
-LOCALE_CHARSET	:= UTF-8
 
 build: build-stamp
 build-stamp:
@@ -13,7 +9,6 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	rm -rf $(LOCALE_PATH)
 	$(MAKE) clean
 	dh_clean
 
@@ -23,11 +18,7 @@
 	dh_prep
 	dh_installdirs
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	mkdir -p $(LOCALE_PATH)
-	localedef -i $(LOCALE_NAME) -c -f $(LOCALE_CHARSET) \
-                  -A /usr/share/locale/locale.alias --quiet \
-                  $(LOCALE_PATH)/$(LOCALE_NAME).$(LOCALE_CHARSET)
-	LOCPATH=$(LOCALE_PATH) LC_ALL=$(LOCALE_NAME).$(LOCALE_CHARSET) $(MAKE) check
+	$(MAKE) check
 endif
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/pbuilder
 	dh_movefiles -ppbuilder-uml --sourcedir=debian/pbuilder

## pbuilder 0.215+nmu4ubuntu1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 NULL :=
 
 ALLDIRS += BASHCOMPLETION
-BASHCOMPLETIONDIR := $(SYSCONFDIR)/bash_completion.d
+BASHCOMPLETIONDIR := $(PKGDATADIR)/../bash-completion/completions/
 BASHCOMPLETION_DATA += \
 	bash_completion.d/pbuilder \
 	$(NULL)
@@ -190,8 +190,10 @@
 
 clean:
 	rm -f *.bak *~ TAGS
-	rm -f testsuite/testimage
-	rm -rf testsuite/testbuild testsuite/testbuild2
+	rm -rfv testsuite/testimage \
+		testsuite/testbuild \
+		testsuite/testbuild2 \
+		testsuite/regression/work
 	$(MAKE) -C pbuildd $@
 	$(MAKE) -C Documentation $@

=== Documentation/Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 # the main XML file which is source to all documents
 MASTERXML=pbuilder-doc.xml
 HTMLDOCS= pbuilder-doc.html pbuilder-doc.ja.html pbuilder-doc.fr.html pbuilder-doc.de.html
+ALIOTH_FILEHOSTING:=alioth.debian.org
 
 all: $(HTMLDOCS)
 
@@ -36,10 +37,21 @@
 	mozilla-firefox -remote "openfile($(PWD)/$<)"
 
 release: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
-	scp $^ wagner.debian.org:/home/groups/pbuilder/htdocs/ 
+	scp $^ ${ALIOTH_FILEHOSTING}:/home/groups/pbuilder/htdocs/ 
 
-clean: 
-	rm -f pbuilder-doc.pdf pbuilder-doc.glo pbuilder-doc.idx pbuilder-doc.log pbuilder-doc.out \
-		pbuilder-doc.aux pbuilder-doc.html.tmp
+clean:
+	rm -fv \
+		pbuilder-doc.pdf \
+		pbuilder-doc.glo \
+		pbuilder-doc.idx \
+		pbuilder-doc.log \
+		pbuilder-doc.out \
+		pbuilder-doc.aux \
+		pbuilder-doc.html \
+		pbuilder-doc.de.html \
+		pbuilder-doc.fr.html \
+		pbuilder-doc.ja.html \
+		pbuilder-doc.html.tmp
+	$(MAKE) -C debconf7 $@
 
 .PHONY: preview release-netfort release clean

=== debian/changelog ===
pbuilder (0.215+nmu4ubuntu1) wily; urgency=low

  * Merge from Debian unstable (LP #1469735).  Remaining changes:
    - Added basic DEP-8 autopkgtest
    - debian/control: Recommend aptitude since it's needed by 
      pbuilder-satisfydepends
    - pbuilderrc, debian/pbuilder.config: Set default archive mirror
      to "archive.ubuntu.com/ubuntu".
    - debian/rules: install temporary locale so man page tests don't
      cause FTBFS. 
    - Add build-dependency on locales, which was always used but 
      appears to have previously been preinstalled in the build chroots.
    - Remove --keyring override from default pbuilderrc
    - Set default distribution to "wily"

 -- Scott Howard <showard@debian.org>  Tue, 07 Jul 2015 14:53:39 -0400

pbuilder (0.215+nmu4) unstable; urgency=low

  * Non-maintainer upload.

  [ Mattia Rizzolo ]
  * debian/source/format: 3.0 (native).
  * Do real cleanup, don't hide temporary files under .gitignore, rather
    teach makefiles' clean targets how to deal with them properly.
  * set the USER env variable to BUILDUSERNAME, to fix FTBFS of some package
    which check for not being run as root using that variable.
    Thanks to Tim Landscheidt <tim@tim-landscheidt.de> for the initial patch.
    Closes: #677666

  [ Johannes Schauer ]
  * move filter_arch_deps to pbuilder-satisfydepends-funcs and add tests
  * build profile parsing support (Closes: #740577)

  [ Andreas Henriksson ]
  * Fix DEB_BUILD_PROFILES quoting.
    Thanks to Michael Stapelberg for spotting this
  * Support build-profiles in classic satisfydeps
  * Force dpkg-architecture to use arguments over env
  * Fix up License paragraph in debian/copyright
    - fixes lintian warnings:
      missing-license-paragraph-in-dep5-copyright
      copyright-should-refer-to-common-license-file-for-gpl
  * Install bash-completion under /usr/share/ instead of /etc
    - fixes lintian warning package-install-into-obsolete-dir
  * Use dpkg-maintscript-helper rm_conffile to clean up
    old /etc/bash_completion.d/pbuilder
  * Minor syntax updates to pbuilder bash-completion to make it
    function properly under its new location.
    - drop "have" check and add "&&" before complete.

  [ Axel Beckert ]
  * Use "none" instead of "/dev/pts" as device for the /dev/pts mount
    inside the chroot (Closes: #788580)

  [ Frédéric Brière ]
  * Mark pbuilder as "Multi-Arch: foreign" (Closes: #752545)

  [ Mert Dirik ]
  * Add Turkish debconf template translation (Closes: #757505)

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 22 Jun 2015 15:58:41 +0000

pbuilder (0.215ubuntu12) wily; urgency=medium

  * pbuilderrc: Set default distribution to "wily"

 -- Hans Joachim Desserud <ubuntu@desserud.org>  Sat, 27 Jun 2015 13:18:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>,
            Loïc Minier <lool@dooz.org>,
            Matt Kraai <kraai@debian.org>
@@ -13,13 +14,16 @@
                dblatex,
                debconf|debconf-2.0,
                po-debconf,
-               po4a
+               po4a,
+               locales
 Standards-Version: 3.9.1
-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
+XS-Debian-Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
+XS-Testsuite: autopkgtest
 
 Package: pbuilder
 Architecture: all
+Multi-Arch: foreign
 Depends: coreutils (>= 4.5.8-1),
          debootstrap | cdebootstrap,
          dpkg-dev,
@@ -29,7 +33,8 @@
 Recommends: fakeroot,
             net-tools | iproute2,
             sudo,
-            devscripts
+            devscripts,
+            aptitude
 Suggests: pbuilder-uml,
           gdebi-core,
           cowdancer

=== debian/tests/control ===
Tests: build_procenv
Depends: @, debian-keyring, distro-info, lsb-release, haveged,
  libnuma-dev [linux-i386 linux-amd64 linux-ia64 linux-mips linux-mipsel linux-powerpc linux-ppc64 linux-ppc64el linux-x32],
  libcap-dev [linux-any], libselinux1-dev, libapparmor-dev
Restrictions: needs-root
